# Generated by Django 4.0.6 on 2022-07-21 02:18

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('books', '0006_author_remove_book_author_bookreview_book_authors'),
    ]

    operations = [
        migrations.CreateModel(
            name='Genre',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='Issue',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=50)),
                ('description', models.TextField(blank=True)),
                ('cover_img', models.URLField(blank=True)),
                ('date_published', models.DateField(blank=True, null=True)),
                ('issue_number', models.IntegerField()),
                ('page_count', models.IntegerField()),
                ('magazine', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='issues', to='books.magazine')),
            ],
        ),
        migrations.AddField(
            model_name='magazine',
            name='genre',
            field=models.ManyToManyField(related_name='magazines', to='books.genre'),
        ),
    ]
